Bug 603518 - (pyip) Review Request: pyip - Python assembling/disassembling of raw ip packets
Review Request: pyip - Python assembling/disassembling of raw ip packets
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 13:00 EDT by Nathaniel McCallum
Modified: 2010-07-03 12:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-03 12:03:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nathaniel McCallum 2010-06-13 13:00:43 EDT
Spec URL: http://nathaniel.themccallums.org/rpms/pyip.spec
SRPM URL: http://nathaniel.themccallums.org/rpms/pyip-0.7-1.fc13.src.rpm
Description: pyip is a Python package offering assembling/disassembling of raw ip packet, including ip, udp, and icmp. Also it includes 2 utilities based on raw ip, traceroute and ping.

The primary motivation for this project is to fill the blank in Python, i.e.,
handling raw ip packet. Meanwhile, the utility 'traceroute' is intended to be
port of Unix 'traceroute' to Windows platform, as Windows' tracert has only
very limited command line options compared with Unix 'traceroute'.
Comment 1 Ian Weller 2010-06-13 22:32:44 EDT
I will review this package shortly.
Comment 2 Ian Weller 2010-06-14 12:26:43 EDT
[  OK  ] specfiles match:
  8ec08f41fb86be9ee0e37b01fa069a22  pyip.spec
  8ec08f41fb86be9ee0e37b01fa069a22  pyip-0.7-1.fc13.src/pyip.spec
[FAILED] source files match upstream:
  b04e8b46c3868f1225c4cfa31f237bf4  pyip-0.7.tar.gz
  95221f62f66699dc97611e367a1b488b  pyip-0.7-1.fc13.src/pyip-0.7.tar.gz
  What happened here?
[  OK  ] package meets naming and versioning guidelines.
[FAILED] spec is properly named, cleanly written, and uses macros consistently.
  You should use a %{version} macro in the Source0 line.
[  OK  ] dist tag is present.
[  OK  ] build root is correct.
  It should be noted that for Fedora 10 and later don't require a BuildRoot
  tag. If you don't plan to build this for EPEL, you may remove it, although it
  is not required.
[  OK  ] license field matches the actual license.
[  OK  ] license is open source-compatible.
[  OK  ] license text included in package.
[  OK  ] latest version is being packaged.
[  OK  ] BuildRequires are proper.
[  N/A ] compiler flags are appropriate.
[  OK  ] %clean is present. 
[  OK  ] package builds in mock.
[  OK  ] package installs properly.
[  N/A ] debuginfo package looks complete.
[  OK  ] rpmlint is silent.
  (ignoring spelling warnings)
[  OK  ] final provides and requires are sane
[  N/A ] %check is present and all tests pass:
[  N/A ] no shared libraries are added to the regular linker search paths.
[  OK  ] owns the directories it creates. 
[  OK  ] doesn't own any directories it shouldn't.
[  OK  ] no duplicates in %files.
[  OK  ] file permissions are appropriate.
[  N/A ] scriptlets match those on ScriptletSnippets page.
[  OK  ] code, not content.
[  OK  ] documentation is small, so no -docs subpackage is necessary.
[  OK  ] %docs are not necessary for the proper functioning of the package.
[  OK  ] no headers.
[  OK  ] no pkgconfig files.
[  OK  ] no libtool .la droppings.
[  N/A ] desktop files valid and installed properly.

Solid package, just use a %{version} macro and let me know what's happening with the different source .tar.gz.

----

I will sponsor you after this package is approved, libmodman (bug 603514) is approved, pynetsnmp (bug 603521) is approved, and you do an unofficial review of another package waiting on a review request. Link that bug to this report when you're done with that. It can be any package, just go through and point out things that would need to be changed based on the packaging guidelines.

If I were you, I would do an unofficial review outside the realm of Python packages. :)
Comment 3 Nathaniel McCallum 2010-06-14 13:40:01 EDT
Should be fixed (same URL).  Not sure what happened with the source tarballs...
Comment 4 Ian Weller 2010-06-14 22:38:33 EDT
Please bump release number and rebuild SRPM.
Comment 5 Nathaniel McCallum 2010-06-14 23:16:22 EDT
Updated.
Comment 6 Ian Weller 2010-06-15 00:05:09 EDT
Assuming http://nathaniel.themccallums.org/rpms/pyip.spec and http://nathaniel.themccallums.org/rpms/pyip-0.7-2.fc13.src.rpm ...

Re-review summary:

[  OK  ] source files match upstream:
  b04e8b46c3868f1225c4cfa31f237bf4  pyip-0.7.tar.gz
  b04e8b46c3868f1225c4cfa31f237bf4  pyip-0.7-2.fc13.src/pyip-0.7.tar.gz
[  OK  ] spec is properly named, cleanly written, and uses macros consistently.

---------------------------------
 This package (pyip) is APPROVED
---------------------------------
however, is still blocking on sponsorship. Expect a review of libmodman tomorrow. Do an unofficial review of another package for me, too :)
Comment 7 Nathaniel McCallum 2010-06-19 14:52:23 EDT
New Package CVS Request
=======================
Package Name: pyip
Short Description: Python assembling/disassembling of raw ip packets
Owners: npmccallum
Branches: F-12 F-13
InitialCC:
Comment 8 Kevin Fenzi 2010-06-20 22:24:07 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.